Summary: NVMe STorage Appliance Services
Name:    nvme-stas
Version: 2.2.1
Release: 5%{?dist}
License: ASL 2.0
URL:     https://github.com/linux-nvme/nvme-stas
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:     noarch

BuildRequires: meson >= 0.57.0
BuildRequires: glib2-devel libxslt docbook-style-xsl
BuildRequires: systemd-devel libnvme-devel >= 1.2 systemd-rpm-macros
BuildRequires: python3-devel python3-libnvme python3-dasbus
BuildRequires: python3-pyudev python3-systemd python3-gobject-devel python3-lxml

Requires:      python3-libnvme >= 1.2 python3-dasbus python3-pyudev
Requires:      python3-systemd python3-gobject python3-lxml
Requires:      avahi

%description
What does nvme-stas provide?

 - A Central Discovery Controller (CDC) client for Linux
 - Asynchronous Event Notifications (AEN) handling
 - Automated NVMe subsystem connection controls
 - Error handling and reporting
 - Automatic (zeroconf) and Manual configuration

%prep
%autosetup

%build
%meson -Dman=true -Dhtml=true
%meson_build

%install
%meson_install
mv %{buildroot}/%{_sysconfdir}/stas/sys.conf.doc %{buildroot}/%{_sysconfdir}/stas/sys.conf

%post
%systemd_post stacd.service
%systemd_post stafd.service

%preun
%systemd_preun stacd.service
%systemd_preun stafd.service

%postun
%systemd_postun_with_restart stacd.service
%systemd_postun_with_restart stafd.service

%files
%license LICENSE
%doc README.md
%doc %{_pkgdocdir}/html
%{_bindir}/stacctl
%{_bindir}/stafctl
%{_bindir}/stasadm
%{_sbindir}/stacd
%{_sbindir}/stafd
%dir %{_sysconfdir}/stas
%config(noreplace) %{_sysconfdir}/stas/stacd.conf
%config(noreplace) %{_sysconfdir}/stas/stafd.conf
%config(noreplace) %{_sysconfdir}/stas/sys.conf
%{_datadir}/dbus-1/system.d/org.nvmexpress.*.conf
%{_unitdir}/stacd.service
%{_unitdir}/stafd.service
%{_unitdir}/stas-config.target
%{_unitdir}/stas-config@.service
%dir %{python3_sitelib}/staslib
%{python3_sitelib}/staslib/*
%{_mandir}/man1/sta*.1*
%{_mandir}/man5/*.5*
%{_mandir}/man7/nvme*.7*
%{_mandir}/man8/sta*.8*


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.1-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Jul 21 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.2.1-2
- Rebuilt for libnvme 1.5

* Wed Jul 12 2023 cunshunxia <cunshunxia@tencent.com> - 2.2.1-1
- upgrade to 2.2.1.

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 cunshunxia <cunshunxia@tencent.com> - 2.0-1
- initial build
